/ lang / int
Int
Syntax

    Value = Int ( Number )

Returns the mathematical integer part of Number, i.e. the greatest integer which is less than Number.

### Examples

    PRINT Int(Pi)
    <hr>3

    PRINT Int(-Pi)
    <hr>-4

The Value is not limited to the Integer size (32 bits) nor to the Long size (64 bits). It may be Float.

    PRINT Int(2e60), CInt(2e60)
    <hr>2E+60	-2147483648

The next example shows how Int() works on a Boolean variable.

    PRINT Int(TRUE)
    <hr>True

The Difference between Int() and CInt() is:

- Int() may return a Float value, CInt() is limited to 32 bit Integer.
- Int() rounds to the next lower value. i.e. -4.6 to -5, while CInt rounds toward 0 i.e. -4.6 to -4

### See also

Arithmetical Functions